Bug 811200 - Don't restart NetworkManager service on updates
Don't restart NetworkManager service on updates
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 07:54 EDT by Elad Alfassa
Modified: 2012-12-20 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:22:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2012-04-10 07:54:52 EDT
When I update my system, and there is a NetworkManager update, NetworkManager restarts, causing me to lose connections. This is just bad from user experience point of view, because users expect updates not to affect the way they use their system.

This was not the case few versions ago, when NetworkManager did not restart itself.
Comment 1 Elad Alfassa 2012-05-22 13:21:16 EDT
This are the lines that causes this issue:
 
 /bin/systemctl daemon-reload >/dev/null 2>&1 || :
 if [ $1 -ge 1 ] ; then
         # Package upgrade, not uninstall
         /bin/systemctl try-restart NetworkManager.service >/dev/null 2>&1 || :
 fi


It causes interruption of downloads, IRC connections, streaming video and such, and using WiFi it sometimes takes more than a minute until the connection is fully restored.
Comment 2 David Zeuthen 2012-05-22 13:25:18 EDT
See bug 812967 for f17 (fixed already).
Comment 3 Elad Alfassa 2012-05-22 13:51:52 EDT
We need a fix for that in Rawhide as well.
(f16 and f17 branches has the commit that fixes this issue, Rawhide does not)
Comment 4 Elad Alfassa 2012-10-05 12:03:47 EDT
This is still an issue in Fedora 18, any update on this?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Fedora Update System 2012-10-05 14:23:55 EDT
NetworkManager-0.9.7.0-3.git20121004.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.7.0-3.git20121004.fc18
Comment 6 Fedora Update System 2012-10-06 01:27:35 EDT
Package NetworkManager-0.9.7.0-3.git20121004.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.7.0-3.git20121004.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15525/NetworkManager-0.9.7.0-3.git20121004.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-06 16:10:36 EDT
NetworkManager-0.9.7.0-4.git20121004.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.7.0-4.git20121004.fc18
Comment 8 Fedora Update System 2012-12-20 10:22:52 EST
NetworkManager-0.9.7.0-3.git20121004.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.